import { PureComponent } from "react";
import { PropsInterface } from "../../interfaces/interfaces/PropsInterface";
export interface RibbonInterfaceProps extends PropsInterface {
    fluid?: boolean;
    number?: number;
    title: string;
    icon: string;
    noCard?: boolean;
    tagLink?: any;
}
export declare class Ribbon extends PureComponent<RibbonInterfaceProps> {
    constructor(props: any);
    get content(): JSX.Element;
    get child(): JSX.Element;
    render(): JSX.Element;
}
